# locals.tf defines common expressions used by the module.

locals {
  # If anyone can think of a less horrible way of doing this, let me know!
  secret_version = var.secret_data != null ? "#${split("/", google_secret_manager_secret_version.secret[0].name)[5]}" : ""

  # A Berglas-style sm://... URL for the current version of the secret.
  secret_url = "sm://${var.project}/${var.secret_id}${local.secret_version}"
}
